Subject: bug#42683: closed (Re: bug#42683: Guided Graphical Installer cannot detect/partition NVME drive with an LVM partition.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Aug 2020 09:34:02 +0000

Your bug report

#42683: Guided Graphical Installer cannot detect/partition NVME drive with an LVM partition.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42683: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42683
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42683: Guided Graphical Installer cannot detect/partition NVME drive with an LVM partition.
From: Mathieu Othacehe <[email-masked]>
To: John Doe <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Aug 2020 11:33:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I'll investigate this issue.

Fixed with 5697a524a75efae6144fcfaad730115910a34171.

Thanks,

Mathieu

Subject: Guided Graphical Installer cannot detect/partition NVME drive with an LVM partition.
From: John Doe <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 02 Aug 2020 19:28:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Yesterday when trying to install Guix using the Guided Graphical Installer I could not detect my NVME drive which contained an LVM partition using either of the 3 (entire disk guided, entire disk guided with encryption, manual partitioning) options in the Guix installer.

If I went with the manual installation approach from shell I could see the partitions in the output of lsblk.

After formatting the drive completely with another live USB the NVME was then correctly detected by the Guix installer.

This issue occured both on the 1.1.0 stable installer ISO and the latest installer ISO as of August 1 2020.